Option Strict Off
Option Explicit On
Module Module1
	' Camadas de comunicacao
	Public Const CAMADA_GENERICA As Short = 0
	Public Const CAMADA_SERIAL As Short = 1
	Public Const CAMADA_PARALELA As Short = 2
	Public Const CAMADA_TODAS As Short = 3
	Public Const CAMADA_USB As Short = 4
	
	' Niveis de depuracao
	Public Const MECAF_NIVELMSG_DEFAULT As Short = 0 ' Nivel default de exibicao da mensagem - DESATIVADO
	Public Const MECAF_NIVELMSG_BASICO As Short = 1
	Public Const MECAF_NIVELMSG_MEDIO As Short = 2
	Public Const MECAF_NIVELMSG_AVANCADO As Short = 3
	Public Const MECAF_NIVELMSG_MAXIMO As Short = 4

    Declare Function GetTickCount Lib "kernel32" () As Integer

#If Win32 Then
    Declare Function MEGENCOM32_DesativarLOG Lib "MEGENCOM32.dll" (ByVal lCamada As Integer) As Integer
    Declare Function MEGENCOM32_AtivarLOG Lib "MEGENCOM32.dll" (ByVal lCamada As Integer, ByVal lNivel As Integer) As Integer
    Declare Function MEGENCOM32_ConfigurarTimeoutsRXTX Lib "MEGENCOM32.dll" (ByVal sPort As String, ByVal lTimeOutRX As Integer, ByVal lTimeOutTX As Integer) As Integer
    Declare Function MEGENCOM32_StatusDoDispositivo Lib "MEGENCOM32.dll" (ByVal sPort As String, ByRef sStatus As Byte) As Integer
    Declare Function MEGENCOM32_AbrirDispositivo Lib "MEGENCOM32.dll" (ByVal sPort As String, ByVal lBaudrate As Integer, ByVal bParidade As Byte, ByVal lNumBits As Integer, ByVal lNumStopbits As Integer, ByVal lCtrlFluxo As Integer) As Integer
    Declare Function MEGENCOM32_FecharDispositivo Lib "MEGENCOM32.dll" (ByVal sPort As String) As Integer
    Declare Function MEGENCOM32_PreparaImpressao Lib "MEGENCOM32.dll" (ByVal sPort As String) As Integer
    Declare Function MEGENCOM32_EscrevernoDispositivo Lib "MEGENCOM32.dll" (ByVal sPort As String, ByVal sBuffer As String, ByVal lNumBytes As Integer, ByRef lBytesEscritos As Integer) As Integer
    Declare Function MEGENCOM32_AguardaImpressao Lib "MEGENCOM32.dll" (ByVal sPort As String, ByVal pcTimeout As Integer) As Integer
    Declare Function MEGENCOM32_LeroDispositivo Lib "MEGENCOM32.dll" (ByVal sPort As String, ByVal sBuffer As String, ByVal lNumBytes As Integer, ByRef lBytesLidos As Integer) As Integer
#ElseIf Win64 Then
    Declare Function MEGENCOM32_DesativarLOG Lib "MEGENCOM64.dll" (ByVal lCamada As Integer) As Integer
    Declare Function MEGENCOM32_AtivarLOG Lib "MEGENCOM64.dll" (ByVal lCamada As Integer, ByVal lNivel As Integer) As Integer
    Declare Function MEGENCOM32_ConfigurarTimeoutsRXTX Lib "MEGENCOM64.dll" (ByVal sPort As String, ByVal lTimeOutRX As Integer, ByVal lTimeOutTX As Integer) As Integer
    Declare Function MEGENCOM32_StatusDoDispositivo Lib "MEGENCOM64.dll" (ByVal sPort As String, ByRef sStatus As Byte) As Integer
    Declare Function MEGENCOM32_AbrirDispositivo Lib "MEGENCOM64.dll" (ByVal sPort As String, ByVal lBaudrate As Integer, ByVal bParidade As Byte, ByVal lNumBits As Integer, ByVal lNumStopbits As Integer, ByVal lCtrlFluxo As Integer) As Integer
    Declare Function MEGENCOM32_FecharDispositivo Lib "MEGENCOM64.dll" (ByVal sPort As String) As Integer
    Declare Function MEGENCOM32_PreparaImpressao Lib "MEGENCOM64.dll" (ByVal sPort As String) As Integer
    Declare Function MEGENCOM32_EscrevernoDispositivo Lib "MEGENCOM64.dll" (ByVal sPort As String, ByVal sBuffer As String, ByVal lNumBytes As Integer, ByRef lBytesEscritos As Integer) As Integer
    Declare Function MEGENCOM32_AguardaImpressao Lib "MEGENCOM64.dll" (ByVal sPort As String, ByVal pcTimeout As Integer) As Integer
    Declare Function MEGENCOM32_LeroDispositivo Lib "MEGENCOM64.dll" (ByVal sPort As String, ByVal sBuffer As String, ByVal lNumBytes As Integer, ByRef lBytesLidos As Integer) As Integer
#End If


End Module